C#
// POST /v1/b2b/scim/{organization_id}/connection
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: "Example SCIM connection",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SCIM.Connection.Create(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/b2b/scim/{organization_id}/connection
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/scim/connection"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &connection.CreateParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
DisplayName: "Example SCIM connection",
}
options := &connection.CreateParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SCIM.Connection.Create(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/b2b/scim/{organization_id}/connection
package com.example;
import com.stytch.java.b2b.models.scimconnection.CreateRequest;
import com.stytch.java.b2b.models.scimconnection.CreateRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
CreateRequest params = new CreateRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setDisplayName("Example SCIM connection");
CreateRequestOptions options = new CreateRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSCIM().getConnection().create(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/b2b/scim/{organization_id}/connection
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.scimconnection.CreateRequest
import com.stytch.java.b2b.models.scimconnection.CreateRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.scim.connection.create(
CreateRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
displayName = "Example SCIM connection",
),
CreateRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/b2b/scim/{organization_id}/connection
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: "Example SCIM connection",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.scim.connection.create(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->scim->connection->create([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'display_name' => 'Example SCIM connection',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# POST /v1/b2b/scim/{organization_id}/connection
from stytch import B2BClient
from stytch.b2b.models.scim_connection import CreateRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.scim.connection.create(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name="Example SCIM connection",
method_options=CreateRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# POST /v1/b2b/scim/{organization_id}/connection
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.scim.connection.create(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: "Example SCIM connection",
method_options: StytchB2B::SCIM::Connection::CreateRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// POST /v1/b2b/scim/{organization_id}/connection
use stytch::b2b::client::Client;
use stytch::b2b::scim_connection::CreateRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.scim.connection.create(
CreateRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: Some(String::from("Example SCIM connection")),
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/b2b/scim/{organization_id}/connection
curl --request POST \
--url https://test.stytch.com/v1/b2b/scim/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connection \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}" \
-d '{
"display_name": "Example SCIM connection"
}'{
"request_id": "<string>",
"status_code": 123,
"connection": {
"organization_id": "<string>",
"connection_id": "<string>",
"status": "<string>",
"display_name": "<string>",
"identity_provider": "<string>",
"base_url": "<string>",
"bearer_token": "<string>",
"scim_group_implicit_role_assignments": [
{
"role_id": "<string>",
"group_id": "<string>",
"group_name": "<string>"
}
],
"bearer_token_expires_at": "<string>"
}
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Connection management
Create SCIM Connection
Create a new SCIM connection for an organization
POST
/
v1
/
b2b
/
scim
/
{organization_id}
/
connection
C#
// POST /v1/b2b/scim/{organization_id}/connection
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: "Example SCIM connection",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SCIM.Connection.Create(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/b2b/scim/{organization_id}/connection
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/scim/connection"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &connection.CreateParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
DisplayName: "Example SCIM connection",
}
options := &connection.CreateParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SCIM.Connection.Create(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/b2b/scim/{organization_id}/connection
package com.example;
import com.stytch.java.b2b.models.scimconnection.CreateRequest;
import com.stytch.java.b2b.models.scimconnection.CreateRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
CreateRequest params = new CreateRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setDisplayName("Example SCIM connection");
CreateRequestOptions options = new CreateRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSCIM().getConnection().create(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/b2b/scim/{organization_id}/connection
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.scimconnection.CreateRequest
import com.stytch.java.b2b.models.scimconnection.CreateRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.scim.connection.create(
CreateRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
displayName = "Example SCIM connection",
),
CreateRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/b2b/scim/{organization_id}/connection
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: "Example SCIM connection",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.scim.connection.create(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->scim->connection->create([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'display_name' => 'Example SCIM connection',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# POST /v1/b2b/scim/{organization_id}/connection
from stytch import B2BClient
from stytch.b2b.models.scim_connection import CreateRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.scim.connection.create(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name="Example SCIM connection",
method_options=CreateRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# POST /v1/b2b/scim/{organization_id}/connection
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.scim.connection.create(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: "Example SCIM connection",
method_options: StytchB2B::SCIM::Connection::CreateRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// POST /v1/b2b/scim/{organization_id}/connection
use stytch::b2b::client::Client;
use stytch::b2b::scim_connection::CreateRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.scim.connection.create(
CreateRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
display_name: Some(String::from("Example SCIM connection")),
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/b2b/scim/{organization_id}/connection
curl --request POST \
--url https://test.stytch.com/v1/b2b/scim/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connection \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}" \
-d '{
"display_name": "Example SCIM connection"
}'{
"request_id": "<string>",
"status_code": 123,
"connection": {
"organization_id": "<string>",
"connection_id": "<string>",
"status": "<string>",
"display_name": "<string>",
"identity_provider": "<string>",
"base_url": "<string>",
"bearer_token": "<string>",
"scim_group_implicit_role_assignments": [
{
"role_id": "<string>",
"group_id": "<string>",
"group_name": "<string>"
}
],
"bearer_token_expires_at": "<string>"
}
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}RBAC Enforced APIIf a Member Session is passed in the Authorization headers, Stytch will enforce that the Member has permission to take the Action on the Resource prior to honoring the request.To learn more, see the RBAC guide.
Authorizations
Headers
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes